Gnome2::ColorPicker(3)

NAME
Gnome2::ColorPicker

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Button
                                +----Gnome2::ColorPicker

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Activatable

METHODS

  widget = Gnome2::ColorPicker->new

  (r, g, b, a) = $cp->get_d

  $cp->set_d ($r, $g, $b, $a)

•   $r (double)

•   $g (double)

•   $b (double)

•   $a (double)

  boolean = $cp->get_dither

  $cp->set_dither ($dither)

•   $dither (boolean)

  (r, g, b, a) = $cp->get_i16

  $cp->set_i16 ($r, $g, $b, $a)

•   $r (unsigned)

•   $g (unsigned)

•   $b (unsigned)

•   $a (unsigned)

  (r, g, b, a) = $cp->get_i8

  $cp->set_i8 ($r, $g, $b, $a)

•   $r (unsigned)

•   $g (unsigned)

•   $b (unsigned)

•   $a (unsigned)

  string = $cp->get_title

  $cp->set_title ($title)

•   $title (string)

  boolean = $cp->get_use_alpha

  $cp->set_use_alpha ($use_alpha)

•   $use_alpha (boolean)

PROPERTIES

'alpha' (Glib::UInt : default 0 : readable / writable)
    The alpha value of the chosen color

'blue' (Glib::UInt : default 0 : readable / writable)
    The amount of blue in the chosen color

'dither' (boolean : default true : readable / writable)
    Whether or not to dither to color

'green' (Glib::UInt : default 0 : readable / writable)
    The amount of green in the chosen color

'red' (Glib::UInt : default 0 : readable / writable)
    The amount of red in the chosen color

'title' (string : default undef : readable / writable)
    The title to give to the color picker

'use-alpha' (boolean : default false : readable / writable)
    Whether or not to give the color an alpha value

SIGNALS

color-set (Gnome2::ColorPicker, Glib::UInt, Glib::UInt, Glib::UInt, Glib::UInt)

SEE ALSO
Gnome2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin, Gtk2::Button

COPYRIGHT
Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL. See Gnome2 for a full notice.